@import "../../styles/colors.scss";
@import "../../styles/fonts.scss";
@import "../../styles/responsive.scss";

.Header {
  &__nav__mobile {
    padding-right: 19px;
    @include tablet {
      display: none;
    }
    &__container {
      border-bottom: 0.4px solid $thirdColor;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0.5rem 1rem 0.5rem;
      position: relative;
      width: 96%;
      &__logo {
        .logo__mobile {
          padding-top: 0.6rem;
          width: 76%;
          @include tablet {
            padding-top: 0.6rem;
          }
        }
      }
      &__burger {
        margin-right: 25px;
      }
    }
    &__list {
      transition: 0.5s ease-in-out;
      background-color: $menuBgColor;
      margin: 0;
      width: 100%;
      align-items: center;
      padding: 1.5rem 0;
      font-size: 0.9rem;
      display: flex;
      justify-content: flex-end;
      flex-direction: column;
      list-style: none;
      position: absolute;
      right: 0;
      color: $secondaryColor;
      z-index: 2;
      &__item {
        margin-bottom: 0.8rem;
        .Header__link__mobile {
          text-decoration: none;
          color: $secondaryColor;
        }
        &:last-child {
          margin-bottom: 0;
        }
        .Header__nav__mobile__list__button {
          background: none;
          border: none;
          color: $secondaryColor;
          font-size: 1rem;
        }
      }
    }
  }
  &__nav__desktop {
    display: none;
    @include tablet {
      display: flex;
      width: 100%;
      margin: 0 auto;
      border-bottom: 0.4px solid $thirdColor;
      &__list {
        list-style: none;
        display: flex;
        width: 100%;
        justify-content: space-around;
        align-items: center;
        padding: 0;
        .Header__nav__list__link {
          text-decoration: none;
          &:hover {
            color: $editDreamHover;
          }
        }
      }
    }
    @include desktop {
      &__list {
        width: 90%;
        padding: 1rem 0;
        margin: 0 auto;
      }
    }
  }
}
